
package com.ejie.ab79.clientesWS.ab63WebService;

import javax.xml.bind.JAXBElement;
import javax.xml.bind.annotation.XmlElementDecl;
import javax.xml.bind.annotation.XmlRegistry;
import javax.xml.namespace.QName;


/**
 * This object contains factory methods for each 
 * Java content interface and Java element interface 
 * generated in the com.ejie.ab79.clientesWS.ab63WebService package. 
 * <p>An ObjectFactory allows you to programatically 
 * construct new instances of the Java representation 
 * for XML content. The Java representation of XML 
 * content can consist of schema derived interfaces 
 * and classes representing the binding of schema 
 * type definitions, element declarations and model 
 * groups.  Factory methods for each of these are 
 * provided in this class.
 * 
 */
@XmlRegistry
public class ObjectFactory {

    private final static QName _GenerarExcelEstablecimientoResponse_QNAME = new QName("http://com.ejie.ab63.serviciosWeb", "generarExcelEstablecimientoResponse");
    private final static QName _PifException_QNAME = new QName("http://com.ejie.ab63.serviciosWeb", "PifException");
    private final static QName _ActualizarEstablecimientoResponse_QNAME = new QName("http://com.ejie.ab63.serviciosWeb", "actualizarEstablecimientoResponse");
    private final static QName _ActualizarEstablecimiento_QNAME = new QName("http://com.ejie.ab63.serviciosWeb", "actualizarEstablecimiento");
    private final static QName _GenerarExcelEstablecimiento_QNAME = new QName("http://com.ejie.ab63.serviciosWeb", "generarExcelEstablecimiento");
    private final static QName _Ab61Exception_QNAME = new QName("http://ab61.exe.webservice/", "Ab61Exception");
    private final static QName _Ab63Exception_QNAME = new QName("http://ab63.exe.webservice/", "Ab63Exception");
    private final static QName _IOException_QNAME = new QName("http://com.ejie.ab63.serviciosWeb", "IOException");

    /**
     * Create a new ObjectFactory that can be used to create new instances of schema derived classes for package: com.ejie.ab79.clientesWS.ab63WebService
     * 
     */
    public ObjectFactory() {
    }

    /**
     * Create an instance of {@link Ab63ExceptionGeneral }
     * 
     */
    public Ab63ExceptionGeneral createAb63ExceptionGeneral() {
        return new Ab63ExceptionGeneral();
    }

    /**
     * Create an instance of {@link PifException }
     * 
     */
    public PifException createPifException() {
        return new PifException();
    }

    /**
     * Create an instance of {@link GenerarExcelEstablecimientoResponse }
     * 
     */
    public GenerarExcelEstablecimientoResponse createGenerarExcelEstablecimientoResponse() {
        return new GenerarExcelEstablecimientoResponse();
    }

    /**
     * Create an instance of {@link ActualizarEstablecimientoResponse }
     * 
     */
    public ActualizarEstablecimientoResponse createActualizarEstablecimientoResponse() {
        return new ActualizarEstablecimientoResponse();
    }

    /**
     * Create an instance of {@link GenerarExcelEstablecimiento }
     * 
     */
    public GenerarExcelEstablecimiento createGenerarExcelEstablecimiento() {
        return new GenerarExcelEstablecimiento();
    }

    /**
     * Create an instance of {@link IOException }
     * 
     */
    public IOException createIOException() {
        return new IOException();
    }

    /**
     * Create an instance of {@link ActualizarEstablecimiento }
     * 
     */
    public ActualizarEstablecimiento createActualizarEstablecimiento() {
        return new ActualizarEstablecimiento();
    }

    /**
     * Create an instance of {@link DatosValidarWS }
     * 
     */
    public DatosValidarWS createDatosValidarWS() {
        return new DatosValidarWS();
    }

    /**
     * Create an instance of {@link ObjetosValidarWS }
     * 
     */
    public ObjetosValidarWS createObjetosValidarWS() {
        return new ObjetosValidarWS();
    }

    /**
     * Create an instance of {@link DatosEstablecimientoWS }
     * 
     */
    public DatosEstablecimientoWS createDatosEstablecimientoWS() {
        return new DatosEstablecimientoWS();
    }

    /**
     * Create an instance of {@link IdentificadorDocumento }
     * 
     */
    public IdentificadorDocumento createIdentificadorDocumento() {
        return new IdentificadorDocumento();
    }

    /**
     * Create an instance of {@link Ab61ExceptionGeneral }
     * 
     */
    public Ab61ExceptionGeneral createAb61ExceptionGeneral() {
        return new Ab61ExceptionGeneral();
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link GenerarExcelEstablecimientoResponse }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://com.ejie.ab63.serviciosWeb", name = "generarExcelEstablecimientoResponse")
    public JAXBElement<GenerarExcelEstablecimientoResponse> createGenerarExcelEstablecimientoResponse(GenerarExcelEstablecimientoResponse value) {
        return new JAXBElement<GenerarExcelEstablecimientoResponse>(_GenerarExcelEstablecimientoResponse_QNAME, GenerarExcelEstablecimientoResponse.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link PifException }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://com.ejie.ab63.serviciosWeb", name = "PifException")
    public JAXBElement<PifException> createPifException(PifException value) {
        return new JAXBElement<PifException>(_PifException_QNAME, PifException.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link ActualizarEstablecimientoResponse }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://com.ejie.ab63.serviciosWeb", name = "actualizarEstablecimientoResponse")
    public JAXBElement<ActualizarEstablecimientoResponse> createActualizarEstablecimientoResponse(ActualizarEstablecimientoResponse value) {
        return new JAXBElement<ActualizarEstablecimientoResponse>(_ActualizarEstablecimientoResponse_QNAME, ActualizarEstablecimientoResponse.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link ActualizarEstablecimiento }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://com.ejie.ab63.serviciosWeb", name = "actualizarEstablecimiento")
    public JAXBElement<ActualizarEstablecimiento> createActualizarEstablecimiento(ActualizarEstablecimiento value) {
        return new JAXBElement<ActualizarEstablecimiento>(_ActualizarEstablecimiento_QNAME, ActualizarEstablecimiento.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link GenerarExcelEstablecimiento }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://com.ejie.ab63.serviciosWeb", name = "generarExcelEstablecimiento")
    public JAXBElement<GenerarExcelEstablecimiento> createGenerarExcelEstablecimiento(GenerarExcelEstablecimiento value) {
        return new JAXBElement<GenerarExcelEstablecimiento>(_GenerarExcelEstablecimiento_QNAME, GenerarExcelEstablecimiento.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link Ab61ExceptionGeneral }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://ab61.exe.webservice/", name = "Ab61Exception")
    public JAXBElement<Ab61ExceptionGeneral> createAb61Exception(Ab61ExceptionGeneral value) {
        return new JAXBElement<Ab61ExceptionGeneral>(_Ab61Exception_QNAME, Ab61ExceptionGeneral.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link Ab63ExceptionGeneral }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://ab63.exe.webservice/", name = "Ab63Exception")
    public JAXBElement<Ab63ExceptionGeneral> createAb63Exception(Ab63ExceptionGeneral value) {
        return new JAXBElement<Ab63ExceptionGeneral>(_Ab63Exception_QNAME, Ab63ExceptionGeneral.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link IOException }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://com.ejie.ab63.serviciosWeb", name = "IOException")
    public JAXBElement<IOException> createIOException(IOException value) {
        return new JAXBElement<IOException>(_IOException_QNAME, IOException.class, null, value);
    }

}
